# Class: Attribute

## Attribute()

Attribute is key value pair owned by a note.

## Constructor

#### new Attribute()

##### Properties:

Name | Type | Description
--- | --- | ---
`attributeId` | string |
`noteId` | string |
`type` | string |
`name` | string |
`value` | string |
`position` | int |
`isInheritable` | boolean |
`isDeleted` | boolean |
`utcDateCreated` | string |
`utcDateModified` | string |

Source:
  - entities/attribute.js, line 29

### Extends

- Entity

### Methods

#### (async) getNote() → {Promise.<(Note|null)>}

Source:
  - entities/attribute.js, line 46

##### Returns:

Type
  Promise.<(Note|null)>

#### (async) getTargetNote() → {Promise.<(Note|null)>}

Source:
  - entities/attribute.js, line 57

##### Returns:

Type
  Promise.<(Note|null)>

#### isDefinition() → {boolean}

Source:
  - entities/attribute.js, line 76

##### Returns:

Type
  boolean